Subject: Re: builtin shell commands in a Makefile
From: [email-masked] (Earnie Boyd)

9 Jan 1998 19:53:19 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

1) You should use the make program that comes from with gnu-win32.
2) You need to get the update from Sergey Okhapkin's page.  This will 
help with your French keyboard.
3) You need to make sure that you have text=binary mounts.  This is a 
must.
4) Make certain that the environment variables are set correctly.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                         (Chuck Bogorad)
ftp://ftp.deninc.com/pub                         (US Mirror and Ports)

>To: [email-masked]
>Subject: builtin shell commands in a Makefile
>Date: Fri, 09 Jan 1998 10:46:04 +0100
>From: Thierry Parmentelat <[email-masked]>
>
>
>I am pretty new to this project, so please apologize=20
>if this question was already answered to. Apparently it was not,=20
>but I may have missed it in the mail archives.
>
>First of all, I would like to thank all the contributors of this
>package, that sounds just great to me.
>
>XXXXXXXXXXXXXXXXXXXX environment
>I am using a dual-boot PC (win95 and winnt-4.0 WorkStation).
>
>I created a shared partition on a samba box, say \\samba\nt95\
>In this zone I installed
>	*) usertools-b18
>	*) make-3.76 compiled from the prep.ai.mit.edu distribution
>	   with VC++
>
>I also checked that
>	*) c:/tmp exists and is 777 (although ls -l shows 755)
>	*) c:/bin/sh.exe is a copy of your bash distribution
>	*) . appears in my PATH, as well as \\samba\nt95\bin
>
>XXXXXXXXXXXXXXXXXXXX problem
>Most of the Makefiles that I wrote (under Unix, modulo a few variable
>definitions) work quite alright under windows, too.
>
>I run into problems when I try to run shell buitlin commands through 
make.
>
>XXXXXXXXXXXXXXXXXXXX symptom
>
>Here is a sample Makefile
>debug1:
>	cat /tmp/a
>debug2:
>	if [ -f /tmp/a ]; then echo FOUND /tmp/a; else echo /tmp/a not found; 
fi
>
>----------
>I created an empty /tmp/a file, and under Windows95, I get:
>
>bash$ make debug1
>cat /tmp/a
>
>This is fine, but=20
>bash$ make debug2
>if [ -f /tmp/a ]; then echo FOUND /tmp/a; else echo /tmp/a not found; 
fi
>Erreur de syntaxe
>
>If I run the same command directly under sh, it works OK
>bash $ if [ -f /tmp/a ]; then echo FOUND /tmp/a; else echo /tmp/a not 
fou=
>nd; fi
>FOUND /tmp/a
>
>----------
>I get the same symptom under NT, except the error message goes like 
this
>-f =E9tait inattendu (in english, -f was unexpected)
>
>XXXXXXXXXXXXXXXXXXXX questions
>*) Is there any obvious thing I did wrong within this environment ?
>
>*) Or is there anything wrong in my environment ?=20
>   For instance, should I use another make ?
>
>XXXXXXXXXXXXXXXXXXXX=20
>Thanks to anybody who would care to give me any hint in this matter.
>
>XXXXXXXXXXXXXXXXXXXX epilogue
>By the way, I also have trouble when I want to insert special 
characters
>under bash. I have a french keyboard. For instance, [ is obtained by
>AltGr-5 under MS-dos command.com. Under bash, this sequence does not 
work=
>,
>and the only trick I found is to quote with a Ctrl-V (I use tcsh under 
Un=
>ix)
>prior to the keystroke, and then I have to delete an Escape (^[)...
>All this is quite tedious, is there any better trick ?
>
>thanks again
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".